<app-login-form *ngIf="!(user$ | async)"
  (submitted)="onSubmit($event)"
  (signInWith)="onSignInWith($event)"
  [pending]="pending$ | async"
  [errorMessage]="error$ | async">
</app-login-form>
<app-logged *ngIf="(user$ | async)"
            [user]="user$ | async"
            (logout)="logout()">
</app-logged>
